---

version: '3.1'

networks:
  traefik_network:
    external:
      name: homelabos_traefik

services:

  ghost:
    image: ghost:3.13.1-alpine
    networks:
      - traefik_network
    restart: unless-stopped
    environment:
      url: "https://ghost.{{ domain }}"
{% if smtp.user %}
      mail__transport: SMTP
      mail__from: "'Blog {{ domain }}' <{{ smtp.from_email }}>"
      mail__options__host: {{ smtp.host }}
      mail__options__port: {{ smtp.port }}
      mail__options__secureConnection: "true"
      mail__options__auth__user: {{ smtp.user }}
      mail__options__auth__pass: {{ smtp.pass }}
{% endif %}
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=homelabos_traefik"
      - "traefik.http.services.ghost.loadbalancer.server.scheme=http"
      - "traefik.http.services.ghost.loadbalancer.server.port=2368"
      - "traefik.http.routers.ghost-http.rule=Host(`ghost.{{ domain }}`)"
      - "traefik.http.routers.ghost-http.entrypoints=http"
      - "traefik.http.routers.ghost-http.middlewares={% if ghost.https_only %}redirect@file, {% else %}{% if ghost.auth %}{% if enable_authelia %}authelia@file{% else %}basicAuth@file{% endif %}, {% endif %}{% endif %}customFrameHomelab@file"
      - "traefik.http.routers.ghost.rule=Host(`ghost.{{ domain }}`)"
      - "traefik.http.routers.ghost.entrypoints=https"
      - "traefik.http.routers.ghost.middlewares={% if ghost.auth %}{% if enable_authelia %}authelia@file{% else %}basicAuth@file{% endif %}, {% endif %}customFrameHomelab@file"
      - "traefik.http.routers.ghost.tls=true"
{% if traefik.dns_challenge_provider %}
      - "traefik.http.routers.ghost.tls.certresolver=dns"
      - "traefik.http.routers.ghost.tls.domains[0].main={{ domain }}"
      - "traefik.http.routers.ghost.tls.domains[0].sans=*.{{ domain }}"
{% else %}
      - "traefik.http.routers.ghost.tls.certresolver=http"
{% endif %}
{% if enable_tor %}
      - "traefik.http.routers.ghost-tor-http.rule=Host(`ghost.{{ tor_domain }}`)"
      - "traefik.http.routers.ghost-tor-http.entrypoints=http"
      - "traefik.http.routers.ghost-tor-http.middlewares={% if ghost.auth %}{% if enable_authelia %}authelia-tor@file{% else %}basicAuth@file{% endif %}, {% endif %}customFrameHomelab-tor@file"
{% endif %}
